package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SslVpnLockEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SslVpnLockEntity   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("username")
  private String username;

  @JsonProperty("ip")
  private String ip;

  @JsonProperty("type")
  private Integer type;

  @JsonProperty("totalLockTime")
  private Integer totalLockTime;

  @JsonProperty("leftLockTime")
  private Integer leftLockTime;

  public SslVpnLockEntity id(String id) {
    this.id = id;
    return this;
  }

  /**
   * ID of the SSL VPN lock
   * @return id
  */
  @ApiModelProperty(value = "ID of the SSL VPN lock")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public SslVpnLockEntity username(String username) {
    this.username = username;
    return this;
  }

  /**
   * Username of the SSL VPN lock
   * @return username
  */
  @ApiModelProperty(value = "Username of the SSL VPN lock")


  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public SslVpnLockEntity ip(String ip) {
    this.ip = ip;
    return this;
  }

  /**
   * IP of the SSL VPN lock
   * @return ip
  */
  @ApiModelProperty(value = "IP of the SSL VPN lock")


  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }

  public SslVpnLockEntity type(Integer type) {
    this.type = type;
    return this;
  }

  /**
   * Type of the SSL VPN lock should be a value as follows: 0:username; 1:IP
   * @return type
  */
  @ApiModelProperty(required = true, value = "Type of the SSL VPN lock should be a value as follows: 0:username; 1:IP")
  @NotNull


  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }

  public SslVpnLockEntity totalLockTime(Integer totalLockTime) {
    this.totalLockTime = totalLockTime;
    return this;
  }

  /**
   * Total lock time of the SSL VPN lock should be within the range of 1–1080(min).
   * @return totalLockTime
  */
  @ApiModelProperty(required = true, value = "Total lock time of the SSL VPN lock should be within the range of 1–1080(min).")
  @NotNull


  public Integer getTotalLockTime() {
    return totalLockTime;
  }

  public void setTotalLockTime(Integer totalLockTime) {
    this.totalLockTime = totalLockTime;
  }

  public SslVpnLockEntity leftLockTime(Integer leftLockTime) {
    this.leftLockTime = leftLockTime;
    return this;
  }

  /**
   * Left lock time(min) of the SSL VPN lock.
   * @return leftLockTime
  */
  @ApiModelProperty(value = "Left lock time(min) of the SSL VPN lock.")


  public Integer getLeftLockTime() {
    return leftLockTime;
  }

  public void setLeftLockTime(Integer leftLockTime) {
    this.leftLockTime = leftLockTime;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SslVpnLockEntity sslVpnLockEntity = (SslVpnLockEntity) o;
    return Objects.equals(this.id, sslVpnLockEntity.id) &&
        Objects.equals(this.username, sslVpnLockEntity.username) &&
        Objects.equals(this.ip, sslVpnLockEntity.ip) &&
        Objects.equals(this.type, sslVpnLockEntity.type) &&
        Objects.equals(this.totalLockTime, sslVpnLockEntity.totalLockTime) &&
        Objects.equals(this.leftLockTime, sslVpnLockEntity.leftLockTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, username, ip, type, totalLockTime, leftLockTime);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SslVpnLockEntity {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    totalLockTime: ").append(toIndentedString(totalLockTime)).append("\n");
    sb.append("    leftLockTime: ").append(toIndentedString(leftLockTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

